dofile "sys/lua/devtools/import.lua"

import "string"
import "table"

import "help"
import "cmds"
import "auth"

local __old_print = print
local __old_msg = msg
local __old_msg2 = msg2

function print(...)
	local args = {...}

	for _,text in ipairs(args) do
		if type(text) == "string" then
			local t_list = text:split("\n")
			for _, text in ipairs(t_list) do
				__old_print(text)
			end
		else
			print(tostring(text))
		end
	end
end

function msg(...)
	local args = {...}

	for _,text in ipairs(args) do
		if type(text) == "string" then
			local t_list = text:split("\n")
			for _, text in ipairs(t_list) do
				__old_msg(text)
			end
		else
			msg(tostring(text))
		end
	end
end

function msg2(id, ...)
	local args = {...}

	for _,text in ipairs(args) do
		if type(text) == "string" then
			local t_list = text:split("\n")
			for _, text in ipairs(t_list) do
				__old_msg2(id, text)
			end
		else
			msg2(id, tostring(text))
		end
	end
end
